function [wind_PSD] = read_wind_PSD8(frequency)
% this script if used to read the wind power spectrum density for given
% input: frequency w(rad/s)

load 'data_for_wind_PSD_8_3seeds_3600s.mat'

freq = f_wind;
PSD = mean_S_wind;

wind_PSD = zeros(length(frequency),1);

for j = 1:length(frequency)
    w = frequency(j);
    
    if w > max(freq) || w < min(freq)
        disp 'The frequency is out of the range (0-20*pi Hz) for wind spetrum PSD';
        return
    end
    wind_PSD(j) = interp1(freq,PSD,w);
    clear w
end

end

