function Theta = vecToSpin(theta)

% This function is used to do the spin operation as mentioned in Theory manual P7 eq 3.7
% or in reference P2 eq2 (Gallego G, Yezzi A (2015). A compact formula for the derivative of a 3-D rotation in exponential coordinates. Journal of Mathematical Imaging and Vision 51: 378-384.)

Theta = [   0        -theta(3)     theta(2);
          theta(3)      0         -theta(1);
         -theta(2)    theta(1)      0      ];

end


