function lineardampingmatrix = readlindamping_ma()

% Object: this function is used to read the linear damping matrix from readSIF.dat file

%% read the file
fileSIF = fopen('read_SIF_updated with SIMA 1stwaveforceTF.dat','r');
% fileSIF = fopen('read_SIF.dat','r');

scanfile = textscan(fileSIF, '%s', 'delimiter', '\n');

% find the line of linear damping
[row, ~] = find(strcmp(scanfile{1,1}, 'LINEAR DAMPING'), 1, 'first');

% read the linear stiffness matrix
n_line1 = row+5;
n_line2 = n_line1+10;
lindamp_read = scanfile{1,1}(n_line1:n_line2,:);

for i = 1:6
    
    lindamp(i,:) = sscanf(lindamp_read{i},'%f');
    
end

lineardampingmatrix_Mg = lindamp;
lineardampingmatrix = lineardampingmatrix_Mg.*1e3; % change the mass unit from Mg to Kg

end